Orxonox: orxonox::QuestNotification Class Reference

# orxonox::QuestNotification Class Reference

`#include <src/orxonox/objects/quest/QuestNotification.h>`

Inheritance diagram for orxonox::QuestNotification:

List of all members.

## Public Member Functions

| QuestNotification (const std::string &message)
| QuestNotification (BaseObject *creator)
bool | send (void)
| Sends the Notification to the Notificationmanager, with sender NotificationManager::NONE;.
virtual | ~QuestNotification ()

## Private Member Functions

void | initialize (void)
| Registers the object and sets some default values.

## Static Private Attributes

static const std::string | SENDER = "questsystem"

## Detailed Description

Author:
  Damian 'Mozork' Frick

## Constructor & Destructor Documentation

orxonox::QuestNotification::QuestNotification | ( | BaseObject * | creator | ) |

References initialize().

orxonox::QuestNotification::QuestNotification | ( | const std::string & | message | ) |

References initialize().

orxonox::QuestNotification::~QuestNotification | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::QuestNotification::initialize | ( | void |  | ) | `[private]`

Registers the object and sets some default values.

Reimplemented from orxonox::Notification.

References RegisterObject.

Referenced by QuestNotification().

bool orxonox::QuestNotification::send | ( | void |  | ) |

Sends the Notification to the Notificationmanager, with sender NotificationManager::NONE;.

Sends the Notification to the Notificationmanager, with sender NetificationManager::NONE.

Returns:
  Returns true if successful.

Reimplemented from orxonox::Notification.

References orxonox::Notification::send(), and SENDER.

Referenced by orxonox::QuestDescription::notificationHelper().

## Member Data Documentation

const std::string orxonox::QuestNotification::SENDER = "questsystem"`[static, private]`

Referenced by send().

The documentation for this class was generated from the following files:

- src/orxonox/objects/quest/QuestNotification.h
- src/orxonox/objects/quest/QuestNotification.cc